Package org.eclipse.net4j.signal.heartbeat

## Class HeartBeatProtocol.Server.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.spi.net4j.ServerProtocolFactory
    - - org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server.Factory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    HeartBeatProtocol.Server

      public static class HeartBeatProtocol.Server.Factory
      extends ServerProtocolFactory

  Creates server-side `heart beat protocol` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.spi.net4j.ServerProtocolFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `create​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public java.lang.Object create​(java.lang.String description)
                                  throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`